# Generated from rxcms-compliance_plugin-0.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rxcms-compliance_plugin

Name: rubygem-%{gem_name}
Version: 0.3.0
Release: 1%{?dist}
Summary: Versioning and peer review capability
License: MIT
URL: https://bitbucket.org/kikoflame/rxcms-compliance_plugin
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(paper_trail) >= 3.0.0.beta1
# BuildRequires: rubygem(paper_trail) < 3.1
# BuildRequires: rubygem(flag_shih_tzu)
# BuildRequires: rubygem(rspec-rails)
BuildArch: noarch

%description
Plugin Extension for RXCMS that provides versioning and peer review capability
for all content.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile

%changelog
* Wed Sep 15 2021 mockbuilder - 0.3.0-1
- Initial package
